RpcMetrics (Hadoop 0.20.1+169.127 API)
Date: 2011-01-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.ipc.metrics
Class RpcMetrics

    java.lang.Object
      org.apache.hadoop.ipc.metrics.RpcMetrics

All Implemented Interfaces:
  Updater

    public class RpcMetrics

extends Object
implements Updater

This class is for maintaining the various RPC statistics and publishing them through the metrics interfaces. This also registers the JMX MBean for RPC.

This class has a number of metrics variables that are publicly accessible; these variables (objects) have methods to update their values; for example:

`rpcQueueTime`.inc(time)

Field Summary
`MetricsIntValue` | `callQueueLen`
`MetricsIntValue` | `numOpenConnections`
`MetricsRegistry` | `registry`
`MetricsTimeVaryingRate` | `rpcProcessingTime`
`MetricsTimeVaryingRate` | `rpcQueueTime` The metrics variables are public: - they can be set directly by calling their set/inc methods -they can also be read directly - e.g.

Constructor Summary
`RpcMetrics(String hostName, String port, Server server)`

Method Summary
`void` | `doUpdates(MetricsContext context)` Push the metrics to the monitoring subsystem on doUpdate() call.
`void` | `shutdown()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### registry

    public MetricsRegistry registry

### rpcQueueTime

    public MetricsTimeVaryingRate rpcQueueTime

  The metrics variables are public: - they can be set directly by calling their set/inc methods -they can also be read directly - e.g. JMX does this.

### rpcProcessingTime

    public MetricsTimeVaryingRate rpcProcessingTime

### numOpenConnections

    public MetricsIntValue numOpenConnections

### callQueueLen

    public MetricsIntValue callQueueLen

Constructor Detail

### RpcMetrics

    public RpcMetrics(String hostName,
                      String port,
                      Server server)

Method Detail

### doUpdates

    public void doUpdates(MetricsContext context)

  Push the metrics to the monitoring subsystem on doUpdate() call.

  Specified by:
    `doUpdates` in interface `Updater`

### shutdown

    public void shutdown()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation